%define version   1.0.0
%define release   %mkrel 4

%define scim_prime_version 1.0.0
%define skim_version       1.4.2

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:		skim-scim-prime
Summary:	An scim-prime plugin for skim
Version:	%{version}
Release:	%{release}
Group:		System/Internationalization
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPL
URL:		http://sourceforge.jp/projects/scim-imengine/
Source0:	%{name}/%{name}-%{version}.tar.bz2
Patch0:		skim-scim-prime-new-autotools.patch
Obsoletes:	%{libname}
Requires:		scim-prime >= %{scim_prime_version}
Requires:		skim >= %{skim_version}
BuildRequires:		scim-prime >= %{scim_prime_version}
BuildRequires:		skim-devel >= %{skim_version}
BuildRequires:		gettext-devel

%description
Skim-scim-prime is an scim-prime plugin for skim.

%prep
%setup -q
%patch0 -p1

%build
# force to regenerate configure
./bootstrap

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_datadir}/apps/skim/pics/*.png
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/services/skimconfiguredialog/*.desktop
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so


%changelog
* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.0.0-4mdv2009.0
+ Revision: 242694
- rebuild
- fix no-buildroot-tag
- kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Funda Wang <fundawang@mandriva.org> 1.0.0-2mdv2008.0
+ Revision: 79781
- cp autotools patch
- rebuild to drop lib, /usr/lib/kde3 should be in main package
- Import skim-scim-prime




* Thu Feb 23 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 1.0.0-1mdk
- new release
- remove patch0 (we can build *-1.0.0 without it)

* Wed Feb 22 2006 Thierry Vignaud <tvignaud@mandriva.com> 0.3.2-2mdk
- fix requires being "scim-prime >= %%{scim-prime_version}"

* Sat Jan 14 2006 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.2-1mdk
- new release

* Thu Dec 15 2005 Thierry Vignaud <tvignaud@mandriva.com> 0.3.1-1mdk
- new release

* Tue Nov 01 2005 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 0.3.0-1mdk
- first spec for Mandriva Linux
